curl --request GET \
--url https://api.hakumedia.ai/v2/zones/catalog/{zone_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hakumedia.ai/v2/zones/catalog/{zone_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hakumedia.ai/v2/zones/catalog/{zone_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hakumedia.ai/v2/zones/catalog/{zone_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"name": "Product DB",
"catalog_id": 74374,
"publisher": 53563,
"bid_floor": 0,
"bid_floor_cpm": 1.1,
"bid_floor_cpc": 1.3,
"advertiser_cost_type": "CPC",
"auction_type": "SECOND_PRICE",
"click_cooldown_period": 60,
"conversion_lookback_period": 7776000,
"object": "catalog_zone",
"self": "/v2/zones/catalog/104339",
"id": 104339,
"metadata": []
}Get a Single Catalog Zone
Retrieve a single catalog zone details.
Authorizations
API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.
Path Parameters
Identifier of the Catalog Zone.
Query Parameters
Restrict the fields you wish to retrieve by listing the desired fields formatted as a comma-separated list. Fields like "object", "self", and "id" are always returned.
Response
successful operation
The name of the catalog zone
255"Product DB"
The identifier (ID) of the catalog
74374
The identifier (ID) of the publisher to which the zone belongs
53563
The default bid floor for this zone
0
Sets the bid floor for CPM in the zone
1.1
Sets the bid floor for CPC in the zone
1.3
Configures the zone to charge the advertiser by either impression (CPM) or by clicks (CPC)
CPM, CPC "CPC"
Sets the type of auctions in this zone
FIRST_PRICE, SECOND_PRICE "SECOND_PRICE"
The cooldown period for users clicking on the same advertisement
1 <= x <= 8640060
The conversion lookback period
1 <= x <= 77760007776000
A string denoting the current resource being requested or affected.
"catalog_zone"
The relative URL of the current resource being requested or affected.
"/v2/zones/catalog/104339"
The current resource identifier (ID).
104339
An object containing any number of metadata fields and values.
[]